SETUP(2)

NAME
setup - initialize the ST506 hd driver drive and partition parameters

SYNOPSIS
#include <linux/sys.h>
#include <linux/config.h>

void setup(void *BIOS);

DESCRIPTION
setup may be called once from within linux/init/main.c. Its purpose is to initialize the hd_info[] table for the hard disk driver. If HD_TYPE is defined, from within linux/include/linux/config.h, the value provided by BIOS is overridden. Otherwise, The structure pointed to by BIOS is assumed to be a one or two element array of hd_i_struct structures defined as follows (in linux/kernel/blk_drv/hd.c):
    struct hd_i_struct {
            unsigned int head,sect,cyl,wpcom,lzone,ctl;
    };
Normal, and extended partitions are detected. Disk manager partitions are accounted for as well.

CONFORMING TO
This function is Linux specific.

SEE ALSO
hd(4)